package com.becausesec.chuckjokes.services


import guru.springframework.norris.chuck.ChuckNorrisQuotes
import org.springframework.stereotype.Component
import org.springframework.stereotype.Service
import com.google.gson.*

@Service
interface JokeService {
    val joke:String
    val jokeJSON:String
}

@Component
class JokeServiceImpl:JokeService {

    val chuckNorrisQuotes : ChuckNorrisQuotes = ChuckNorrisQuotes()

    override val joke: String
        get() = chuckNorrisQuotes.randomQuote


    override val jokeJSON : String
        get() = JsonParser().parse("{ \"joke #1\" : \"" + chuckNorrisQuotes.randomQuote + "\" }").toString()

}